package com.bonus.sgzb.base.service;


import com.bonus.sgzb.base.domain.BmUnitInfo;
import com.bonus.sgzb.common.core.web.domain.AjaxResult;
import com.bonus.sgzb.system.api.domain.SysUser;

import java.util.List;

public interface BmUnitInfoService {
    public List<BmUnitInfo> getUnitInfoAll(BmUnitInfo bmUnitInfo);

    /**
     * 查询单位类型配置bm_unit_type（同数据字典合并）列表
     *
     * @param bmUnitInfo 单位类型bm_unit_type（同数据字典合并）
     * @return 单位类型bm_unit_type（同数据字典合并）集合
     */
    public List<BmUnitInfo> selectTypeList(BmUnitInfo bmUnitInfo);

    /**
     * 查询人员配置bm_unit_type（同数据字典合并）列表
     *
     * @param sysUser 单位类型bm_unit_type（同数据字典合并）
     * @return 单位类型bm_unit_type（同数据字典合并）集合
     */
    public List<SysUser> getUserAll(SysUser sysUser);

    public List<BmUnitInfo> getUnitInfo(BmUnitInfo bmUnitInfo);

    AjaxResult unitInfoAdd(BmUnitInfo bmUnitInfo);

    public void remove(Long[] unitIds);

    AjaxResult updateBmUnitInfo(BmUnitInfo bmUnitInfo);

    public int deleteUnitInfoById(Long unitId);

    String importUser(List<BmUnitInfo> bmUnitInfoList, boolean updateSupport, Long userId);
}
